<?php
namespace nur\data\types;

/**
 * Interface IIncarnation: un gestionnaire de types
 */
interface IIncarnation {
  function hasType($name);

  function getType($name, bool $required=true): ?IType;
}
